Nombre:   TkTreemap
Versin:  0.2
Fetcha:   2004-09-22
OS:       Cualquier tipo de OS con tal de tener Tcl-Tk
Sources:  Tcl-Tk
Licencia: GPL
Autor:    Gerard SOOKAHET <gerard.sookahet@voila.fr>
Sitio:    http://gersoo.free.fr/inform/tcl/soft/tktreemap.html

------------------------------------------------------------------------------
Descripcin

Tktreemap es un programa para exhibir un rbol del directorio y el tamao 
de los ficheros con un treemap. Un treemap es un tcnico para visualizar 
informaciones que tengan la estructura de un rbol en una espacio 2D.

------------------------------------------------------------------------------
Funciones

. Exhibe el tamao total, el tamao de los ficheros y el nivel de directorio de 
 un fichero. 

------------------------------------------------------------------------------
Prerrequisitos:

. Tcl-Tk 8.4 o mas (http://www.tcl.tk/)
. Testado en Linux y Windows

------------------------------------------------------------------------------
Descarga

Se puede descargar este programa en:
http://gersoo.free.fr/inform/tcl/soft/tktreemap.html
http://gersoo.free.fr/Download/prog/tktreemap02.tgz (sources)
http://gersoo.free.fr/Download/prog/tktreemap02.kit (starkit)
http://gersoo.free.fr/Download/prog/tktreemap02.zip (windows exe)

------------------------------------------------------------------------------
Instalacin

Extrae el archivo donde se quiere:  tar -zxvf tktreemap02.tgz
y "cd" en el directorio tktreemap02/ .

El archivo tiene el Tcl-Tk cdigo presto para la ejecucin.

. Para ejecutar TkTreemap en Unix, se debe teclear:  wish tktreemap.tcl
en la linea de comandos (suponemos que wish esta disponible en /usr/local/bin
o /usr/bin). 
. Para ejecutar TkTreemap en Windows, doble-tecleo en tktreemap.tcl
 (suponemos que Tcl-Tk esta instalado). 

. Si usted desea utilizar la versin del starkit y usted no sabe cualquier cosa 
 sobre esta formidable invencin, lea por favor estas pagnas: 
 http://mini.net/tcl/3661 o http://www.equi4.com/tclkit.html

------------------------------------------------------------------------------
Documentacin

Se deb saber casi nada:

. Seleccionar un directorio con el botn [....]
. Visualizar el treemap con [Run]
. Doble-tecleo en un rectngulo coloreado para exhibir su subdirectorio 
. Utilice el botn arriba para exhibir el treemap anterior
. El rea de un rectngulo es proporcional a su tamao relativo

Podrs encontrar treemap visualizacion teoria en: 

. B. Shneiderman, Tree visualization with treemaps: a 2-d space-filling 
 approach (http://www.cs.umd.edu/local-cgi-bin/hcil/rr.pl?number=91-03 )
. http://www.cs.umd.edu/hcil/treemap-history/index.shtml

------------------------------------------------------------------------------
ChangeLog

* 0.2 (2004-09-22) Se aade un test para evitar bucles infinitos con . y .. en UNIX
* 0.1 (2004-08-27) Primera versin

------------------------------------------------------------------------------
Licencia

Este programa es licenciado bajo GPL. Refiera por favor al fichero COPYING 
incluso en el archivo.

------------------------------------------------------------------------------
TODO

. Imaginar y escribir una TODO list.  ;-)

------------------------------------------------------------------------------
Contact

Enviar preguntas, commentarios, anuncios de errores, mejoras, peticin a
Gerard SOOKAHET <gerard.sookahet@voila.fr>

