Nom:     TkTreemap
Version: 0.2
Date:    2004-09-22
OS:      Sur toutes la plates-formes o Tcl-Tk est disponible
Sources: Tcl-Tk
Licence: GPL
Auteur:  Gerard SOOKAHET <gerard.sookahet@voila.fr>
Site:    http://gersoo.free.fr/inform/tcl/soft/tktreemap.html

------------------------------------------------------------------------------
Description

TkTreemap est un logiciel qui affiche l'arbre d'un rpertoire et l'espace disque
utilis  l'aide d'un treemap. Un treemap est une manire de visualiser les 
informations structures sous forme d'arbre dans un espace 2D.

------------------------------------------------------------------------------
Fonctionalits

. Affiche la taille totale, la taille des fichiers et le niveau de son repertoire

------------------------------------------------------------------------------
Pr-requis:

. Tcl-Tk 8.4 ou plus (http://www.tcl.tk/)
. Test sous Linux et Windows 

------------------------------------------------------------------------------
Tlchargement

Ce logiciel est tlchargeable sur:
http://gersoo.free.fr/inform/tcl/soft/tktreemap.html
http://gersoo.free.fr/Download/prog/tktreemap02.tgz (sources)
http://gersoo.free.fr/Download/prog/tktreemap02.kit (starkit)
http://gersoo.free.fr/Download/prog/tktreemap02.zip (windows exe)

------------------------------------------------------------------------------
Installation

Dsarchiver le package  l'endroit qui vous convient par:
 tar -zxvf tktreemap02.tgz
et aller dans le rpertoire tktreemap02/.

La distribution contient le code source en Tcl-Tk prt  tre excut.

. Pour lancer TkTreemap sous Unix, il faut juste taper:  wish tktreemap.tcl
 en ligne de commande (sous rserve que wish soit dans /usr/local/bin/ ou
 /usr/bin). 
. Pour lancer TkTreemap sous Windows, il faut juste double-cliquer sur 
 tktreemap.tcl (sous rserve que Tcl-Tk soit install). 
. Si vous souhaitez utiliser la version en starkit et que vous n'y connaissez
 rien  propos de cette merveilleuse chose, veuillez lire ceci:
 http://www.larochelle-innovation.com/tcltk/46  
 ou http://www.equi4.com/tclkit.html
 
------------------------------------------------------------------------------
Documentation

Presque rien  savoir:

. Selectionner un rpertoire avec le boutton [....]
. Afficher le treemap en relation avec [Run]
. En double-cliquant sur un rectangle de couleur vous pouvez afficher le treemap
 du sous-rpertoire du fichier en question.
. Le boutton avec une flche vers le haut permet de revenir au prcdent treemap
. La surface d'un rectangle est proportionelle  sa taille de stockage relative

Pour les aspects thoriques sur la visualization par treemap voir les rfrences: 

. B. Shneiderman, Tree visualization with treemaps: a 2-d space-filling 
 approach (http://www.cs.umd.edu/local-cgi-bin/hcil/rr.pl?number=91-03 )
. http://www.cs.umd.edu/hcil/treemap-history/index.shtml

------------------------------------------------------------------------------
ChangeLog

* 0.2 (2004-09-22) Ajout d'un test pour les plates-formes UNIX afin d'viter les 
  boucles infinies avec . et ..
* 0.1 (2004-08-27) Premire version

------------------------------------------------------------------------------
Licence

Ce logiciel est distribu sous licence GPL. Voir le fichier COPYING inclus dans
cette archive.

------------------------------------------------------------------------------
TODO

. Imaginer et crire une TODO liste.  ;-)

------------------------------------------------------------------------------
Contact

Envoyez vos questions, commentaires, rapports de bogues, patches, suggestions
 Gerard SOOKAHET <gerard.sookahet@voila.fr>
